import React from 'react';
import ReactDOM from 'react-dom';
import { Ellipse } from './Ellipse.js';
const width = 960;
const height = 500;
const radius = 10;
const centerX = width / 2;
const centerY = height / 2;
const rx = 15;
const ry = 3 * rx;
//-----------------------------------------
const App = () => (
  <svg width={width} height={height}>
    <g transform={`translate(${0},${0})`}>
      <Ellipse rx={rx} ry={ry} cx={centerX} cy={centerY} />
      <g transform={`translate(${centerX},${centerY + 2 * ry})`}>
        <Ellipse rx={rx} ry={ry} />
      </g>
    </g>
      <Ellipse ry={rx} rx={ry} cx={centerX} cy={centerY} />
      <g transform={`translate(${centerX},${centerY + 2 * ry})`}>
        <Ellipse ry={rx} rx={ry} />
      </g>
  </svg>
);

ReactDOM.render(<App />, document.getElementById('root'));
